CVE-ID

CVE-2000-0187

• Severity Rating • Fix Information • Vulnerable Software Versions • SCAP Mappings
Description
EZShopper 3.0 loadpage.cgi CGI script allows remote attackers to read arbitrary files via a .. (dot dot) attack or execute commands via shell metacharacters.
References
Note: References are provided for the convenience of the reader to help distinguish between vulnerabilities. The list is not intended to be complete.
Assigning CNA
N/A
Date Entry Created
20000322 Disclaimer: The entry creation date may reflect when the CVE-ID was allocated or reserved, and does not necessarily indicate when this vulnerability was discovered, shared with the affected vendor, publicly disclosed, or updated in CVE.
Phase (Legacy)
Proposed (20000322)
Votes (Legacy)
ACCEPT(2) Levy, Ozancin
MODIFY(1) Frech
NOOP(6) Baker, Blake, Christey, Cole, LeBlanc, Wall
Comments (Legacy)
 Christey> Since EZShopper is written in Perl, there is strong evidence
   that both the .. and metacharacter attack probably go
   through the same insecure open() call.  (Perl's open can
   either read a regular file, or read piped output from
   a command that is specified to the open).
 Frech> XF:ezshopper-loadpage-cgi(4044)

Proposed (Legacy)
20000322
This is an entry on the CVE list, which standardizes names for security problems.